Extending Qt Creator Manual | PropertyInfo

Extending Qt Creator Manual 4.5.2

# PropertyInfo Class

(QmlJS::PropertyInfo)

- List of all members, including inherited members

## Public Types

enum | PropertyFlag { Readable, Writeable, ListType, PointerType, ..., Default }

## Public Functions

| PropertyInfo(uint flags = Default)
bool | canBePointer() const
bool | canBeValue() const
bool | isList() const
bool | isPointer() const
bool | isReadable() const
bool | isValue() const
bool | isWriteable() const
QString | toString() const

## Member Type Documentation

### enum PropertyInfo::PropertyFlag

## Member Function Documentation

### PropertyInfo::PropertyInfo(uint flags = Default)

Default constructs an instance of PropertyInfo.

### bool PropertyInfo::canBePointer() const

### bool PropertyInfo::canBeValue() const

### bool PropertyInfo::isList() const

### bool PropertyInfo::isPointer() const

### bool PropertyInfo::isReadable() const

### bool PropertyInfo::isValue() const

### bool PropertyInfo::isWriteable() const

### QString PropertyInfo::toString() const